## org.codehaus.groovy.grails.scaffolding.view
Class ScaffoldedGroovyPageView

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractView
                  org.springframework.web.servlet.view.AbstractUrlBasedView
                      org.codehaus.groovy.grails.web.servlet.view.GroovyPageView
                          org.codehaus.groovy.grails.scaffolding.view.ScaffoldedGroovyPageView

All Implemented Interfaces:
  BeanNameAware, InitializingBean, ApplicationContextAware, ServletContextAware, View

    public class ScaffoldedGroovyPageView

extends GroovyPageView

A special Spring View for scaffolding that renders an in-memory scaffolded view to the response.

Since:
  0.5

  Created: Feb 27, 2007 Time: 11:30:10 AM
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.servlet.view.GroovyPageView
`EXCEPTION_MODEL_KEY`

Fields inherited from class org.springframework.web.servlet.view.AbstractView
`DEFAULT_CONTENT_TYPE`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Constructor Summary
`ScaffoldedGroovyPageView(String uri, String contents)`

Method Summary
`String` `getBeanName()` Used for debug reporting
`protected void` `renderWithTemplateEngine(GroovyPagesTemplateEngine templateEngine, Map model, HttpServletResponse response, HttpServletRequest request)` Overrides the default implementation to render a GSP view using an in-memory representation held in the #contents property

Methods inherited from class org.codehaus.groovy.grails.web.servlet.view.GroovyPageView
`createResponseWriter, handleException, renderMergedOutputModel`

Methods inherited from class org.springframework.web.servlet.view.AbstractUrlBasedView
`afterPropertiesSet, getUrl, isUrlRequired, setUrl, toString`

Methods inherited from class org.springframework.web.servlet.view.AbstractView
`addStaticAttribute, createRequestContext, createTemporaryOutputStream, exposeModelAsRequestAttributes, generatesDownloadContent, getAttributesMap, getContentType, getRequestContextAttribute, getStaticAttributes, prepareResponse, render, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setRequestContextAttribute, writeToResponse`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScaffoldedGroovyPageView

    public ScaffoldedGroovyPageView(String uri,
                                    String contents)

Method Detail

### getBeanName

    public String getBeanName()

  Used for debug reporting

  Overrides:
    `getBeanName` in class `AbstractView`
  Returns:
    The URL of the view

### renderWithTemplateEngine

    protected void renderWithTemplateEngine(GroovyPagesTemplateEngine templateEngine,
                                            Map model,
                                            HttpServletResponse response,
                                            HttpServletRequest request)
                                     throws IOException

  Overrides the default implementation to render a GSP view using an in-memory representation held in the #contents property

  Overrides:
    `renderWithTemplateEngine` in class `GroovyPageView`
  Parameters:
    `templateEngine` - The GroovyPagesTemplateEngine instance
    `model` - The model
    `response` - The HttpServletResponse instance
    `request` - The HttpServletRequest
  Throws:
    `IOException` - Thrown if there was an IO error rendering the view

Copyright (c) 2005-2009 The Grails project